<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.datasources.xa-data-source.xa-datasource-properties" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="value"/>
        <elem name="addr-params" value="profile,subsystem,xa-data-source,xa-datasource-properties"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.datasources"/>
    </annotation>
    <refs>
        <ref feature="subsystem.datasources.xa-data-source"/>
        <ref feature="subsystem.datasources"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="datasources"/>
        <param name="value" nillable="true" stability="default"/>
        <param name="xa-data-source" feature-id="true"/>
        <param name="xa-datasource-properties" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>